Documentation
Webhooks live under a project and notify your endpoint when entities change. All
endpoints require webhooks:read or webhooks:write.
GET /v1/projects/{projectId}/webhooks (scope: webhooks:read)
GET /v1/projects/{projectId}/webhooks/{webhookId} (scope: webhooks:read)
POST /v1/projects/{projectId}/webhooks (scope: webhooks:write)
| Field | Type | Required |
|---|---|---|
name | string | yes |
url | string (https) | yes |
events | string[] | yes |
bash
curl -X POST https://api.flagdeck.com/v1/projects/PROJECT_ID/webhooks \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{ "name": "Ops", "url": "https://example.com/hook", "events": ["flag.updated"] }'
PATCH /v1/projects/{projectId}/webhooks/{webhookId} (scope: webhooks:write)
POST /v1/projects/{projectId}/webhooks/{webhookId}/toggle (scope: webhooks:write)
POST /v1/projects/{projectId}/webhooks/{webhookId}/test (scope: webhooks:write)
DELETE /v1/projects/{projectId}/webhooks/{webhookId} (scope: webhooks:write)